Bug 104226 - Three module enhancements in 2.0.47
Summary: Three module enhancements in 2.0.47
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-11 14:11 UTC by Peter Bowen
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-11 14:18:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
streamy propfind (12.82 KB, patch)
2003-09-11 14:11 UTC, Peter Bowen
no flags Details | Diff
language preference support in mod_negotiation (6.69 KB, patch)
2003-09-11 14:12 UTC, Peter Bowen
no flags Details | Diff
fix ExpiresByType in mod_expires (5.65 KB, patch)
2003-09-11 14:13 UTC, Peter Bowen
no flags Details | Diff

Description Peter Bowen 2003-09-11 14:11:07 UTC
Three modules, mod_dav, mod_negotiation, and mod_expires got enhancements in
2.0.47 that should be considered for inclusion in RHEL's 2.0.46.

Comment 1 Peter Bowen 2003-09-11 14:11:46 UTC
Created attachment 94413 [details]
streamy propfind

Changes with Apache 2.0.47
 
  *) Add support for "streamy" PROPFIND responses.
     [Ben Collins-Sussman <sussman@collab.net>]

Comment 2 Peter Bowen 2003-09-11 14:12:48 UTC
Created attachment 94414 [details]
language preference support in mod_negotiation

Changes with Apache 2.0.47
 
  *) mod_negotiation: Introduce "prefer-language" environment variable,
     which allows to influence the negotiation process on request basis
     to prefer a certain language.  [AndréMalo]

Comment 3 Peter Bowen 2003-09-11 14:13:21 UTC
Created attachment 94415 [details]
fix ExpiresByType in mod_expires

Changes with Apache 2.0.47
 
  *) Make mod_expires' ExpiresByType work properly, including for
     dynamically-generated documents.  [Ken Coar, Bill Stoddard]

Comment 4 Joe Orton 2003-09-11 14:18:23 UTC
All these are changes are a little larger than I'd be happy to integrate this
late in the release cycle.  I'll defer these for now.

Comment 5 Joe Orton 2004-04-01 21:00:18 UTC
FYI, the mod_expires and mod_dav changes were included in the recent
httpd erratum (package version httpd-2.0.46-32.ent).


Note You need to log in before you can comment on or make changes to this bug.